Notify Link

Send automatic notifications to recipients about their pending payout link via SMS, email, or WhatsApp.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory(M),Optional(O)Provided by INSTANTPAY(Y/N)
X-Ipay-Auth-CodeStringAuth Code -1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IdMY
X-Ipay-Client-SecretStringUnique Client SecretMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMY

Request Parameters

NameTypeRequirementDescription
linkIdStringMandatoryGenerated link id of the payment transactions.

Sample Request

curl --location 'https://api.instantpay.in/payments/payout/link/notify' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data '{
    "linkId" : "657aa9841b8d3897ff0a84fb"
}'
POST /payments/payout/link/notify HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=
X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825
X-Ipay-Endpoint-Ip: 125.0.0.1
Content-Type: application/json
Content-Length: 45

{
    "linkId" : "657aa9841b8d3897ff0a84fb"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantPay StatusCode
actcodeStringAction Code
statusStringStatus message
dataStringResponse Data(if Present)
timestampStringResponse time(YYYY-MM-DD HH:||:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
internalCodeStringit will be null

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Notification Link Sent To *******742 and ******@instantpay.in",
    "data": null,
    "timestamp": "2023-12-14 15:27:40",
    "ipay_uuid": "h0009ad88809-ebd1-49ef-80cf-d2686d11072a-lcvrH7edHrIt",
    "orderid": null,
    "environment": "PRODUCTION",
    "internalCode": null
}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json